# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Data/Dumper.pm) perl(Devel/FindRef.pm) perl(Devel/Peek.pm) perl(Devel/StackTrace.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Finance/Quote.pm) perl(FindBin.pm) perl(Glib.pm) perl(Glib/Ex/SignalIds.pm) perl(Glib/Ex/SourceIds.pm) perl(Glib/Object/Subclass.pm) perl(Gtk2.pm) perl(Gtk2/Ex/CellLayout/Base.pm) perl(Gtk2/Ex/SyncCall.pm) perl(HTTP/Request.pm) perl(List/Util.pm) perl(POE.pm) perl(POE/Component/Client/HTTP.pm) perl(Pod/Simple/HTML.pm) perl(Scalar/Util.pm) perl(Sub/Identify.pm) perl(Test/More.pm) perl(Test/Weaken/Gtk2.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 15
%define module_name Gtk2-Ex-TickerView
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 15
Release: alt1
Summary: Scrolling ticker or newsbar view widget.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/gtk2-ex-tickerview/index.html

Source0: http://cpan.org.ua/authors/id/K/KR/KRYDE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A `Gtk2::Ex::TickerView' widget displays items from a `Gtk2::TreeModel'
scrolling across the window, like a news bar or stock ticker.

    +----------------------------------------------------------+
    | st item  * The second item  * The third item   * The fou |
    +----------------------------------------------------------+
        <---- scrolling

Or in `vertical' orientation it scrolls upwards.

    +-------+
    | Two   |  ^
    | Three |  |
    | Four  |  | scrolling
    | Five  |  |
    | Six   |  |
    | ...   |
    +-------+

Items are drawn with one or more `Gtk2::CellRenderer' objects set into the
TickerView as per the CellLayout interface (see the Gtk2::CellLayout manpage).  For
example to scroll text you can use `Gtk2::CellRendererText' as a renderer.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING Changes README examples
%perl_vendor_privlib/G*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 15-alt1
- initial import by package builder

